#
# spec file for package ghc-servant-yaml
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name servant-yaml
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.1.0.0
Release:        14.1
Summary:        Servant support for yaml
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/20.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-http-media-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-servant-devel
BuildRequires:  ghc-yaml-devel
%if %{with tests}
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-base-compat-devel
BuildRequires:  ghc-servant-server-devel
BuildRequires:  ghc-wai-devel
BuildRequires:  ghc-warp-devel
%endif

%description
Servant support for yaml.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc README.md example

%changelog
* Wed Jun 27 2018 psimons@suse.com
- Update to version 0.1.0.0 revision 20.
  A more detailed change log is not available.
* Tue Jun 19 2018 psimons@suse.com
- Update to version 0.1.0.0 revision 19.
  A more detailed change log is not available.
* Wed May  9 2018 psimons@suse.com
- Update to version 0.1.0.0 revision 18.
  A more detailed change log is not available.
* Wed Nov  8 2017 psimons@suse.com
- Update to version 0.1.0.0 revision 17.
  A more detailed change log is not available.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Wed Jun 28 2017 psimons@suse.com
- Update to version 0.1.0.0 revision 16.
* Sat May 27 2017 psimons@suse.com
- Update to version 0.1.0.0 revision 15.
* Sun Feb  5 2017 psimons@suse.com
- Update to version 0.1.0.0 revision 13 with cabal2obs.
* Wed Jan  4 2017 psimons@suse.com
- Update to version 0.1.0.0 revision 12 with cabal2obs.
* Mon Sep 26 2016 psimons@suse.com
- Update to version 0.1.0.0 revision 11 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 0.1.0.0 revision 10 with cabal2obs.
* Tue Jul 12 2016 psimons@suse.com
- Update to version 0.1.0.0 revision 8 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.1.0.0 revision 7 with cabal2obs.
